#
# spec file for package ircii (Version 4.4M)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ircii
Copyright:    BSD-style
Group:        Applications/Internet
Provides:     ircII ircIItrm ircii 
Conflicts:    bitchx
Autoreqprov:  on
Version:      4.4M
Release:      226
Summary:      Internet Relay Chat
Url: http://www.eterna.com.au/ircii/
Source: ftp://ircftp.au.eterna.com.au/pub/ircII/ircii-4.4M.tar.bz2
Source10:	SuSEconfig.ircii
Patch: ircii-4.4M.dif
Patch1: ircii.diff
Buildroot: /var/tmp/buildroot-ircii

%description
This is a version of IRC (Internet Relay Chat) for systems
with direct TCP/IP access (including SLIP/PPP).  It also includes
voice support and other extra features.

Authors:
--------
    Michael Sandrof <ms5n+@andrew.cmu.edu>
    Matthew Green <mrg@mame.mu.oz.au>

SuSE series: n

%package -n irciihlp
Summary:      Help files for ircII
Group:        Documentation
Autoreqprov:  on

%description -n irciihlp
Help files for ircII

SuSE series: n

%prep
%setup
%patch
%patch1

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--datadir=\${prefix}/lib \
	--mandir=%{_mandir} \
	--with-default-server=irc.undernet.org:6667 \
	--enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 ${RPM_SOURCE_DIR}/SuSEconfig.ircii $RPM_BUILD_ROOT/sbin/conf.d
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install rc.config.ircii $RPM_BUILD_ROOT/var/adm/fillup-templates

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.ircii
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ircii"
  echo "and update by hand."
fi

%files
%dir /usr/lib/irc
/usr/lib/irc/script
/usr/lib/irc/translation
/usr/bin/irc-4.4M
/usr/bin/irc
/usr/bin/ircbug
/usr/bin/ircflush
/usr/bin/ircio
/usr/bin/wserv
/sbin/conf.d/SuSEconfig.ircii
/var/adm/fillup-templates/rc.config.ircii
%doc %{_mandir}/man1/ircII.1*
%doc %{_mandir}/man1/ircbug.1*

%files -n irciihlp
/usr/lib/irc/help

%changelog -n ircii
* Thu Jun 14 2001 - olh@suse.de
- fix configure.in for new autoconf
* Wed May 16 2001 - lmuelle@suse.de
- source SuSEconfig.functions for my_write_test in SuSEconfig.ircii
- moved SuSEconfig.ircii from patch to sources
* Fri Mar 23 2001 - olh@suse.de
- fix misleading HELP_PATH error.  #6809
* Thu Mar 01 2001 - ro@suse.de
- fix to compile (define SA_LEN)
* Mon Dec 04 2000 - ro@suse.de
- moved IRCSERVER variable and handling from aaa_base to here
* Fri Nov 24 2000 - olh@suse.de
- fix group tag
* Sun Oct 22 2000 - bjacke@suse.de
- enabled IPv6 support
- switched to bz2 comp.
* Thu Mar 16 2000 - olh@suse.de
- security update to 4.4M, putonftp
* Sat Mar 04 2000 - olh@suse.de
- move man pages, cleanup default settings
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jan 17 1999 - ro@suse.de
- changed patch for alpha: __builtin_return_address(1) doesn't seem
  to work here
* Mon Sep 21 1998 - ro@suse.de
- update to 4.4 using diff from jurix mirror
* Tue Nov 11 1997 - ro@suse.de
- build irciihlp from same specfile
* Mon Jul 07 1997 - florian@suse.de
- update to version 2.9
